# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import apifff
from apifff.api.compet_api import CompetApi  # noqa: E501
from apifff.rest import ApiException


class TestCompetApi(unittest.TestCase):
    """CompetApi unit test stubs"""

    def setUp(self):
        self.api = CompetApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_api_compets_phases_get_subresource_compet_subresource(self):
        """Test case for api_compets_phases_get_subresource_compet_subresource

        Retrieves a Compet resource.  # noqa: E501
        """
        pass

    def test_get_compet_collection(self):
        """Test case for get_compet_collection

        Retrieves the collection of Compet resources.  # noqa: E501
        """
        pass

    def test_get_compet_item(self):
        """Test case for get_compet_item

        Retrieves a Compet resource.  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
